Package net.snowflake.client.log

## Enum SFLogLevel

- java.lang.Object
- - java.lang.Enum<SFLogLevel>
  - - net.snowflake.client.log.SFLogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<SFLogLevel>`

    public enum SFLogLevel
    extends Enum<SFLogLevel>

Extended log levels for snowflake package.

### Enum Constant Summary

Enum Constants
`DEBUG`
`ERROR`
`INFO`
`OFF`
`TRACE`
`WARN`

### Method Summary

All Methods Static Methods Concrete Methods
`static SFLogLevel` `getLogLevel​(String levelStr)` Method to parse the input loglevel string and returns corresponding loglevel.
`static SFLogLevel` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SFLogLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF

    public static final SFLogLevel OFF

#### ERROR

    public static final SFLogLevel ERROR

#### WARN

    public static final SFLogLevel WARN

#### INFO

    public static final SFLogLevel INFO

#### DEBUG

    public static final SFLogLevel DEBUG

#### TRACE

    public static final SFLogLevel TRACE

### Method Detail

#### values

    public static SFLogLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SFLogLevel c : SFLogLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SFLogLevel valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getLogLevel

    public static SFLogLevel getLogLevel​(String levelStr)

Method to parse the input loglevel string and returns corresponding loglevel. This method uses case in-sensitive matching.

Parameters:
  `levelStr` -
Returns: